postfix_exporter(1)

NAME
prometheus-postfix-exporter - Prometheus exporter for Postfix metrics

SYNOPSIS

postfix_exporter [<flags>]

DESCRIPTION
Prometheus metrics exporter for postfix

OPTIONS

--help
    Show context-sensitive help (also try --help-long and --help-man).

--web.listen-address
    Address to listen on for web interface and telemetry.

--web.telemetry-path
    Path under which to expose metrics.

--postfix.showq_path
    Path at which Postfix places its showq socket.

--log.unsupported
    Log all unsupported lines.

--docker.enable
    Read from Docker logs. Environment variable DOCKER_HOST can be used to change the address. See https://pkg.go.dev/github.com/docker/docker/client?tab=doc#NewEnvClient for more information.

--docker.container.id
    ID/name of the Postfix Docker container.

--postfix.logfile_path
    Path where Postfix writes log entries.